/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugzilla.datatypes;

import java.util.Collection;
import java.util.HashSet;
import java.util.Set;

/**
 * 
 */
public class AttachmentData extends Data {
    
    public final static String FILENAME= "0";
    public final static String MIMETYPE= "1";
    public final static String ENCODING= "2";
    
    private final static Set sKeys;
    
    static {
        sKeys= new HashSet();
        sKeys.add(FILENAME);
        sKeys.add(MIMETYPE);
        sKeys.add(ENCODING);
    }
    
    public byte [] data;

    public AttachmentData() {}

    protected Collection getKeys() {
        return sKeys;
    }
}
