/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugs.internal.main;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.team.bugs.extension.Providers;
import org.eclipse.team.bugs.tools.Utils;
import org.eclipse.ui.model.IWorkbenchAdapter;

/**
 * 
 */
public class ProvidersAdapter implements IWorkbenchAdapter {

    public Object[] getChildren(Object o) {
        return ((Providers)o).getProviders().toArray();
    }

    public ImageDescriptor getImageDescriptor(Object object) {
        return null;
    }

    public String getLabel(Object o) {
        return Utils.EMPTY_STRING;
    }

    public Object getParent(Object o) {
        return null;
    }
}
